Loading...
Searching...
No Matches
DfsVisitDefaultTraits< GR > Struct Template Reference

## Detailed Description

template<class GR>
struct lemon::DfsVisitDefaultTraits< GR >

Default traits class of DfsVisit class.

Template Parameters

  _Digraph | The type of the digraph the algorithm runs on.

`#include <lemon/dfs.h>`

## Public Types

typedef GR | Digraph
| The type of the digraph the algorithm runs on.
typedef Digraph::template NodeMap< bool > | ReachedMap
| The type of the map that indicates which nodes are reached.

## Static Public Member Functions

static ReachedMap * | createReachedMap (const Digraph &digraph)
| Instantiates a ReachedMap.

## Member Typedef Documentation

## ReachedMap

template<class GR>

typedef Digraph::template NodeMap<bool> ReachedMap

The type of the map that indicates which nodes are reached. It must conform to the ReadWriteMap concept.

## Member Function Documentation

## createReachedMap()

template<class GR>

ReachedMap * createReachedMap | ( | const Digraph & | digraph | ) |

inline static

This function instantiates a ReachedMap.

Parameters

  digraph | is the digraph, to which we would like to define the ReachedMap.